> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event prize information

> Get event prize information: request parameters, response format and response codes.

> [!NOTE]
>
> * Queries event prize information.
> * Contact our support team for the event code this service requires.

## Path

```text theme={null}
GET {host}/api/v2.0/info/activityRank
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`channelID`</td><td>number</td><td>Yes</td><td>✓</td><td>Channel ID (use 1 if you have no channels)</td></tr>
    <tr><td>`activityIV`</td><td>string</td><td>Yes</td><td>✓</td><td>Event code</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v1/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.rankList`</td><td>object\[]</td><td>Event prize list</td></tr>
    <tr><td>`data.rankList[].activityName`</td><td>string</td><td>Event name</td></tr>
    <tr><td>`data.rankList[].activityIV`</td><td>string</td><td>Event code</td></tr>
    <tr><td>`data.rankList[].rank`</td><td>number</td><td>Event ranking</td></tr>
    <tr><td>`data.rankList[].channelId`</td><td>number</td><td>Channel ID</td></tr>
    <tr><td>`data.rankList[].account`</td><td>string</td><td>Member account</td></tr>
    <tr><td>`data.rankList[].currency`</td><td>string</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`data.rankList[].prize`</td><td>number</td><td>Event reward</td></tr>
    <tr><td>`data.rankList[].prizePayout`</td><td>number</td><td>Event reward paid out</td></tr>
    <tr><td>`data.rankList[].isPrizePayout`</td><td>boolean</td><td>Whether the event reward has been paid out (true: paid, false: not paid)</td></tr>
    <tr><td>`data.rankList[].wagersId`</td><td>number</td><td>Event result group ID</td></tr>
    <tr><td>`data.rankList[].transactionId`</td><td>string</td><td>Unique transaction ID of the event reward payout</td></tr>
    <tr><td>`data.rankList[].prizePayoutTime`</td><td>string</td><td>Event reward payout time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v1/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "rankList": [
      {
        "activityName": "龍虎榜第一期",
        "activityIV": "53f4103b",
        "rank": 1,
        "channelId": 1,
        "account": "player001",
        "currency": "CNY",
        "prize": 888,
        "prizePayout": 888,
        "isPrizePayout": true,
        "wagersId": 1052,
        "prizePayoutTime": "2022-06-30T22:54:29.649+08:00",
        "transactionId": "E8F0A4F5FE9C41D3AE55D33B85F20D85"
      }
    ]
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-01T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.